Package org.apache.felix.gogo.runtime

# Class Token

java.lang.Object
org.apache.felix.gogo.runtime.Token

All Implemented Interfaces:
  `CharSequence`

public class Token extends Object implements CharSequence

## Constructor Summary

Constructors
Constructor
Description
`Token(Tokenizer.Type type, CharSequence value, short line, short column)`

## Method Summary

Modifier and Type
Method
Description
`char`
`charAt(int index)`
`int`
`length()`
`String`
`source()`
`CharSequence`
`subSequence(int start, int end)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints, isEmpty`

## Constructor Details

### Token

public Token(Tokenizer.Type type, CharSequence value, short line, short column)

## Method Details

### toString

public String toString()

Specified by:
  `toString` in interface `CharSequence`
Overrides:
  `toString` in class `Object`

### charAt

public char charAt(int index)

Specified by:
  `charAt` in interface `CharSequence`

### length

public int length()

Specified by:
  `length` in interface `CharSequence`

### subSequence

public CharSequence subSequence(int start, int end)

Specified by:
  `subSequence` in interface `CharSequence`

### source

public String source()